%define req_glib_version	2.0.0
%define req_libidl_version	0.7.4

%define lib_major	0
%define api_version 2.0
%define lib_name	%mklibname %{name}_ %{lib_major}

Name:		ORBit2
Version: 2.12.1
Release:	3mdk
Summary:	High-performance CORBA Object Request Broker
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/ORBit2/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.4.1-2mdk fix crash when /tmp is not readable
Patch0:		ORBit2-2.7.1-tmpdir.patch.bz2

BuildConflicts:	ORBit-devel < 0.5.10
BuildRequires:	indent bison flex popt-devel >= 1.5
BuildRequires:	glib2-devel >= %{req_glib_version}
BuildRequires:	libIDL2-devel >= %{req_libidl_version}
BuildRequires:  gtk-doc
Requires:	%{lib_name} = %{version}
Requires:	libIDL2 >= %{req_libidl_version}
Obsoletes: linc < 1:1.0.3
Provides: linc

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

You will need to install this package if you want to run programs that use
the ORBit implementation of CORBA technology.


%package -n %{lib_name}
Summary:	High-performance CORBA Object Request Broker
Group:		Graphical desktop/GNOME
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}
Requires:	libglib2 >= %{req_glib_version}

%description -n %{lib_name}
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

This package contains all core libraries of the ORBit implementation
of CORBA technology.


%package -n %{lib_name}-devel
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	libglib2-devel >= %{req_glib_version}
Requires:	libIDL2-devel >= %{req_libidl_version}
Requires:	popt-devel
# needed for orbit-idl-2
Requires:   indent
Conflicts:	ORBit-devel < 0.5.10

%description -n %{lib_name}-devel
This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit package.


%prep
%setup -q
%patch0 -p1 -b .tmpdir

%build

%configure2_5x --enable-gtk-doc

%make

make check

%install
rm -rf %{buildroot}

%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/orbit2-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/orbit-%{api_version}/orbit/orbit-config.h

# Rename doc to prevent name conflict
cp src/services/name/README README.service-name

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-%{api_version}/*.a

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root,755)
%doc README.service-name AUTHORS ChangeLog NEWS MAINTAINERS README
%{_bindir}/linc-cleanup-sockets
%{_bindir}/ior-decode-2
%{_bindir}/typelib-dump
%{_datadir}/idl/orbit-%{api_version}
%dir %{_libdir}/orbit-%{api_version}
%{_libdir}/orbit-%{api_version}/Everything_module.so

%files -n %{lib_name}
%defattr(-,root,root,755)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/orbit2-config
%multiarch %{multiarch_bindir}/orbit2-config
%{_bindir}/orbit-idl-2
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/orbit-%{api_version}/Everything_module.la

%changelog
* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.12.1-3mdk
- multiarch

* Sat Feb  5 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.12.1-1mdk
- New release 2.12.1

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.12.0-1mdk
- New release 2.12.0

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.5-1mdk
- Release 2.10.5 (fix hang in evolution)

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.4-1mdk
- Release 2.10.4

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.10.3-1mdk
- reenable libtoolize
- New release 2.10.3

* Fri May  7 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.10.2-1mdk
- New release 2.10.2

* Thu Apr 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.10.1-1mdk
- New release 2.10.1

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.0-1mdk
- Release 2.10.0 (with Goetz help)

* Fri Dec 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-1mdk
- Release 2.8.3

* Mon Nov 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk
- Patch1 (CVS): fix gnumeric crash when starting it in accessible environment

* Mon Oct 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-1mdk
- Release 2.8.2 (should fix some evolution hang problems)

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- Release 2.8.1

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- Release 2.8.0

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.7.6-2mdk
- Fix deps

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.7.6-1mdk
- Release 2.7.6

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.7.5-1mdk
- Release 2.7.5
- Parallel compilation is back, thanks michael

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.7.3-1mdk
- Release 2.7.3
- Remove patch1 (merged upstream)

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.2-3mdk
- rebuild

* Wed Jun 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.7.2-2mdk
- Patch1 (CVS): remove scary warnings

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.7.2-1mdk
- Release 2.7.2
- Remove patch1 (merged usptream)
- Remove linc dependency, it is now part of ORBit2 (as linc2)

* Sat May 31 2003 Stefan van der Eijk <stefan@eijk.nu> - 2.7.1-3mdk
- patch everything module (not a versioned .so file)
- fix changelog date

* Sat May 24 2003 Stefan van der Eijk <stefan@eijk.nu> - 2.7.1-2mdk
- split off \.so$ to -devel files
- remove redundant BuildRequires: pkgconfig
- left redundant BuildRequires: glib2-devel --> versioning information

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.7.1-1mdk
- Release 2.7.1
- WARNING : thread support is not fully working (tests are disabled now)
- Regenerate patch 0

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.7.0-1mdk
- Release 2.7.0

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0
- Disable debugging

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.1-1mdk
- Release 2.5.1

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.0-3mdk
- Fix dependencies (J.A. Magallon <jamagallon@able.es>)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.0-2mdk
- Fix linc dependency (Viet)

* Fri Nov 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.0-1mdk
- Release 2.5.0

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-1mdk
- Release 2.4.3

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk
- Patch0: fix crash when /tmp is not readable (security level 5)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.109-1mdk
- Release 2.3.109

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.108-1mdk
- Release 2.3.108

* Tue Apr  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.107-1mdk
- Release 2.3.107

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.106-1mdk
- Release 2.3.106 based on Abel Cheung work

* Fri Jan 11 2002 Abel Cheung <maddog@linux.org.hk> 2.3.102-2mdk
- Add missing Requires for devel

* Fri Jan 11 2002 Abel Cheung <maddog@linux.org.hk> 2.3.102-1mdk
- 2.3.102
- Reorganise inter-dependency

* Sun Jan  6 2002 Abel Cheung <maddog@linux.org.hk> 2.3.101-1mdk
- 2.3.101

* Wed Jan  2 2002 Abel Cheung <maddog@linux.org.hk> 2.3.100-1mdk
- 2.3.100
- Remove unused .la file from devel
- Source1: FAQ Taken from orbit website
- Use configure2_5x and makeinstall_std

* Fri Dec  7 2001 Abel Cheung <maddog@linux.org.hk> 2.3.99-1mdk
- 2.3.99
- Use make instead of %%make
- Eliminate usage of usecvs variable
- BuildConflicts itself, to avoid generating faulty packages

* Fri Nov  2 2001 Abel Cheung <maddog@linux.org.hk> 2.3.97-1mdk
- 2.3.97
- Remove previous hack to compile with glib 1.3.10, already in upstream
- Remove static module from file list
- Update {Build,}Requires

* Mon Oct 29 2001 Abel Cheung <maddog@linux.org.hk> 2.3.95-2mdk
- BuildConflicts: ORBit-devel < 0.5.10
- More macros
- Fix wrong {Build,}Requires
- H4ck to get it compile with glib 1.3.10

* Sun Sep 30 2001 Abel Cheung <maddog@linux.org.hk> 2.3.95-1mdk
- First Mandrake spec, taken from original spec in gnome CVS
